epp_StatusReq (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.epp_StatusReq class

### org.openrtk.idl.epp0604

# Class epp_StatusReq

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.epp_StatusReq`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_StatusReq`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements necessary to send the status command to an EPP server. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/epp_StatusReq.java,v 1.2 2003/09/10 21:29:57 tubadanm Exp $
$Revision: 1.2 $
$Date: 2003/09/10 21:29:57 $

See Also:
  `EPPStatus`, `epp_StatusRsp`

  ## Field Summary
  `String` | `m_client_trid` The client transaction id upon the status command will be applied This is not the same as the client trid use in the generic command arguments.
  `epp_Command` | `m_cmd` The common and generic command element.
  `epp_StatusCommandType` | `m_command` The type of command upon the status command will be applied

  ## Constructor Summary
  `epp_StatusReq()` Empty constructor
  `epp_StatusReq(epp_Command _m_cmd, String _m_client_trid, epp_StatusCommandType _m_command)` The constructor with initializing variables.

  ## Method Summary
  `String` | `getClientTrid()` Accessor method for the client transaction id
  `epp_Command` | `getCmd()` Accessor method for the common and generic command element
  `epp_StatusCommandType` | `getCommand()` Accessor method for the command type
  `void` | `setClientTrid(String value)` Accessor method for the client transaction id
  `void` | `setCmd(epp_Command value)` Accessor method for the common and generic command element
  `void` | `setCommand(epp_StatusCommandType value)` Accessor method for the command type
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_client_trid

    public String m_client_trid

> The client transaction id upon the status command will be applied This is not the same as the client trid use in the generic command arguments.
> See Also:
>   `setClientTrid(String)`, `getClientTrid()`

### m_cmd

    public epp_Command m_cmd

> The common and generic command element.
> See Also:
>   `setCmd(epp_Command)`, `getCmd()`

### m_command

    public epp_StatusCommandType m_command

> The type of command upon the status command will be applied
> See Also:
>   `setCommand(epp_StatusCommandType)`, `getCommand()`

## Constructor Details

### epp_StatusReq

    public epp_StatusReq()

> Empty constructor

### epp_StatusReq

    public epp_StatusReq(epp_Command _m_cmd,
                         String _m_client_trid,
                         epp_StatusCommandType _m_command)

> The constructor with initializing variables.
> Parameters:
>   `_m_cmd` - The common and generic command element
>   `_m_client_trid` - The client transaction id for the status command
>   `_m_command` - The status command type

## Method Details

### getClientTrid

    public String getClientTrid()

> Accessor method for the client transaction id
> Returns:
>   The client trid
> See Also:
>   `m_client_trid`

### getCmd

    public epp_Command getCmd()

> Accessor method for the common and generic command element
> Returns:
>   The command element
> See Also:
>   `m_cmd`

### getCommand

    public epp_StatusCommandType getCommand()

> Accessor method for the command type
> Returns:
>   The command type
> See Also:
>   `m_command`

### setClientTrid

    public void setClientTrid(String value)

> Accessor method for the client transaction id
> Parameters:
>   `value` - The client trid
> See Also:
>   `m_client_trid`

### setCmd

    public void setCmd(epp_Command value)

> Accessor method for the common and generic command element
> Parameters:
>   `value` - The command element
> See Also:
>   `m_cmd`

### setCommand

    public void setCommand(epp_StatusCommandType value)

> Accessor method for the command type
> Parameters:
>   `value` - The command type
> See Also:
>   `m_command`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS